Package com.independentsoft.office

# Class HeadingPair

java.lang.Object
com.independentsoft.office.HeadingPair

public class HeadingPair extends Object
A heading-group entry of the extended application properties (docProps/app.xml HeadingPairs): the group name and the number of document parts in the group.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HeadingPair()`
  Instantiates a new heading pair.
  `HeadingPair​(String name, int partCount)`
  Instantiates a new heading pair.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `HeadingPair`
  `clone()`
  `String`
  `getName()`
  Gets the group name.
  `int`
  `getPartCount()`
  Gets the number of document parts in the group.
  `void`
  `setName​(String name)`
  Sets the group name.
  `void`
  `setPartCount​(int partCount)`
  Sets the number of document parts in the group.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### HeadingPair

    public HeadingPair()
    Instantiates a new heading pair.

  - ### HeadingPair

    public HeadingPair​(String name, int partCount)
    Instantiates a new heading pair.
    Parameters:
      `name` - the group name
      `partCount` - the number of document parts in the group

- ## Method Details

  - ### clone

    public HeadingPair clone()
    Overrides:
      `clone` in class `Object`

  - ### getName

    public String getName()
    Gets the group name.
    Returns:
      the name

  - ### setName

    public void setName​(String name)
    Sets the group name.
    Parameters:
      `name` - the new name

  - ### getPartCount

    public int getPartCount()
    Gets the number of document parts in the group.
    Returns:
      the part count

  - ### setPartCount

    public void setPartCount​(int partCount)
    Sets the number of document parts in the group.
    Parameters:
      `partCount` - the new part count